=== debian/changelog ===
pgrouting (3.3.0-2) unstable; urgency=medium

  * Team upload.
  * Allow building with sphinx < 4 for backports.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Feb 2022 14:43:51 +0100

pgrouting (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Nov 2021 18:51:42 +0100

pgrouting (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Oct 2021 19:43:33 +0200

pgrouting (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Oct 2021 14:45:48 +0200

pgrouting (3.2.1-2~exp1) experimental; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update packaging for postgresql-14.

  [ Christoph Berg ]
  * Mark postgresql-*-pgrouting-{scripts,doc} as M-A: foreign.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Oct 2021 21:54:51 +0200

pgrouting (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 16:18:02 +0200
