## pgrouting 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #---------------------------------------------
 #---------------------------------------------
 
-project(PGROUTING VERSION 3.3.0
+project(PGROUTING VERSION 3.3.1
     LANGUAGES C CXX )
 set(PROJECT_VERSION_DEV "")
 string(TOLOWER "${PROJECT_NAME}" PROJECT_NAME_LOWER)
@@ -33,6 +33,7 @@
 
 set(MINORS 3.3 3.2 3.1 3.0 2.6)
 set(OLD_SIGNATURES
+    3.3.0 
     3.2.2 3.2.1 3.2.0
     3.1.4 3.1.3 3.1.2 3.1.1 3.1.0
     3.0.6 3.0.5 3.0.4 3.0.3 3.0.2 3.0.1 3.0.0
