=== debian/control ===
--- 
+++ 
@@ -17,6 +17,70 @@
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pgrouting.git
 Homepage: https://www.pgrouting.org
 
+Package: postgresql-10-pgrouting
+Architecture: any
+Depends: postgresql-10-pgrouting-scripts (>= ${source:Version}),
+         postgresql-10,
+         postgresql-10-postgis,
+         postgresql-10-postgis-scripts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: postgresql-10-pgrouting-doc
+Provides: postgresql-pgrouting
+Description: Routing functionality support for PostgreSQL/PostGIS
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package supports PostgreSQL 10.
+
+Package: postgresql-11-pgrouting
+Architecture: any
+Depends: postgresql-11-pgrouting-scripts (>= ${source:Version}),
+         postgresql-11,
+         postgresql-11-postgis,
+         postgresql-11-postgis-scripts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: postgresql-11-pgrouting-doc
+Provides: postgresql-pgrouting
+Description: Routing functionality support for PostgreSQL/PostGIS
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package supports PostgreSQL 11.
+
+Package: postgresql-12-pgrouting
+Architecture: any
+Depends: postgresql-12-pgrouting-scripts (>= ${source:Version}),
+         postgresql-12,
+         postgresql-12-postgis,
+         postgresql-12-postgis-scripts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: postgresql-12-pgrouting-doc
+Provides: postgresql-pgrouting
+Description: Routing functionality support for PostgreSQL/PostGIS
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package supports PostgreSQL 12.
+
+Package: postgresql-13-pgrouting
+Architecture: any
+Depends: postgresql-13-pgrouting-scripts (>= ${source:Version}),
+         postgresql-13,
+         postgresql-13-postgis,
+         postgresql-13-postgis-scripts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: postgresql-13-pgrouting-doc
+Provides: postgresql-pgrouting
+Description: Routing functionality support for PostgreSQL/PostGIS
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package supports PostgreSQL 13.
+
 Package: postgresql-14-pgrouting
 Architecture: any
 Depends: postgresql-14-pgrouting-scripts (>= ${source:Version}),
@@ -33,6 +97,62 @@
  .
  This package supports PostgreSQL 14.
 
+Package: postgresql-10-pgrouting-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: postgresql-pgrouting-scripts
+Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the SQL scripts for installing pgRouting, and for
+ upgrading from earlier pgRouting versions.
+ .
+ This package supports PostgreSQL 10.
+
+Package: postgresql-11-pgrouting-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: postgresql-pgrouting-scripts
+Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the SQL scripts for installing pgRouting, and for
+ upgrading from earlier pgRouting versions.
+ .
+ This package supports PostgreSQL 11.
+
+Package: postgresql-12-pgrouting-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: postgresql-pgrouting-scripts
+Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the SQL scripts for installing pgRouting, and for
+ upgrading from earlier pgRouting versions.
+ .
+ This package supports PostgreSQL 12.
+
+Package: postgresql-13-pgrouting-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: postgresql-pgrouting-scripts
+Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the SQL scripts for installing pgRouting, and for
+ upgrading from earlier pgRouting versions.
+ .
+ This package supports PostgreSQL 13.
+
 Package: postgresql-14-pgrouting-scripts
 Architecture: all
 Multi-Arch: foreign
@@ -47,6 +167,58 @@
  .
  This package supports PostgreSQL 14.
 
+Package: postgresql-10-pgrouting-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the documentation.
+
+Package: postgresql-11-pgrouting-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the documentation.
+
+Package: postgresql-12-pgrouting-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the documentation.
+
+Package: postgresql-13-pgrouting-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
+ pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
+ geospatial routing and other network analysis functionality.
+ .
+ This package contains the documentation.
+
 Package: postgresql-14-pgrouting-doc
 Architecture: all
 Multi-Arch: foreign
